Page MenuHomePhabricator

Mobile homepage formatting of "ku.wiktionary"
Closed, ResolvedPublic

Description

Hello, There is a problem for the display of the mobile Home Page on "ku.wiktionary" (mobile view) . Mobile homepage formatting isn't taken into account.

I tested the code of "ku.witionary" on "ku.wikipediya" to see if the error was to code. Results: on "ku.wikipedia" I have the right selection for display (mobile view):

<div id="mf-peyv">
{{Peyva hefteyê}}
</div>

(The code above is the part I want it to display on the mobile.)

Before I came here I also left a message on this page.

Thanks!

Event Timeline

Ghybu created this task.Feb 5 2017, 3:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2017, 3:58 PM
Jdlrobson changed the task status from Open to Stalled.Feb 6 2017, 7:16 PM
Jdlrobson added a subscriber: Jdlrobson.

IF you look here you'll see kuwiki is listed in the list of sites that are using main page special casing:
https://github.com/wikimedia/operations-mediawiki-config/blob/master/dblists/mobilemainpagelegacy.dblist
kuwiktionary is not.

We are discouraging use of this feature of MobileFrontend as it creates a lot of maintenance effort and you'll need to change your approach and not use the mf- prefixed classes.

Have a read through https://www.mediawiki.org/wiki/Mobile_Gateway/Mobile_homepage_formatting and let me know if you have any questions.

ovasileva triaged this task as Medium priority.Feb 6 2017, 8:02 PM
Ghybu added a comment.EditedFeb 6 2017, 11:26 PM

@Jdlrobson: Ok! Is there an alternative to "mf-"? It isn't documented, because the page of Mediawiki gives as example of use de.wikipedia which uses the "mf-"

LOoks like that page is out of date - in the process of updating it :)
The best thing to do is put "nomobile" class on elements you do not want to show on mobile.
Does this cover what you want to do?

Ghybu added a comment.Feb 7 2017, 1:04 AM

Thanks! I think that by rearranging the Main Page it will work :)

This request may be closed.

Jdlrobson closed this task as Resolved.Feb 7 2017, 1:07 AM
Jdlrobson claimed this task.

Thanks @Ghybu! If you do hit any specific problems with rearranging please do come back and let us know so we can improve the software to support editors like you! Thank you for making MediaWiki documentation better :)